- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# DatabasePager File Reference

`#include <osg/NodeVisitor>`
`#include <osg/Group>`
`#include <osg/PagedLOD>`
`#include <osg/Drawable>`
`#include <OpenThreads/Thread>`
`#include <OpenThreads/Mutex>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Condition>`
`#include <osgDB/SharedStateManager>`
`#include <osgDB/Export>`
`#include <map>`
`#include <list>`

Include dependency graph for DatabasePager:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgDB
## Classes
class | osgDB::Block
class | osgDB::DatabasePager
| Database paging class which manages the loading of files in a background thread, and syncronizing of loaded models with the main scene graph. More...
struct | osgDB::DatabasePager::DatabaseRequest
## Defines
#define | OSGDB_DATABASEPAGER 1

## Define Documentation

#define OSGDB_DATABASEPAGER 1